System.Web 2.0.0.0 System.Web.UI.WebControls.WebControl System.ComponentModel.Designer("System.Web.UI.Design.WebControls.BaseDataBoundControlDesigner, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.ComponentModel.Design.IDesigner") System.ComponentModel.DefaultProperty("DataSourceID")

ASP.NET supports a controls architecture that enables Web server controls to bind to data in a consistent fashion. Web server controls that bind to data are referred to as data-bound controls, and the classes that facilitate that binding are called data source controls. Data-bound controls that are designed to use ASP.NET data source controls derive from the control class, which defines the base data-bound control functionality.

You can use the data-bound controls that are provided with ASP.NET, including , , and , to perform most Web development tasks that involve displaying data. In scenarios in which these controls do not provide the functionality you need, you can inherit from the base and classes to implement your own custom data source control.

While any class that supports the DataSource and DataSourceID properties and the DataBind method is a data-bound control, most ASP.NET data-bound controls extend the abstract and classes. Notable exceptions include , , and the controls. For more information about data binding, see Accessing Data with ASP.NET.

Serves as the base class for controls that bind to data using an ASP.NET data source control.

- Constructor

  Because the class is abstract, you cannot create a object directly. This constructor is commonly called by the constructor of a derived class to initialize the properties defined in the class.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Void

  The method sets the initialized state of the data-bound control. The method is called by the class in its method.

  Sets the initialized state of the data-bound control.

  2.0.0.0
- Method
  System.Void

  The class overrides the method to identify the data source that the data-bound control binds to and builds the appropriate control trees. When resolving the data source, the data source identified by the property takes precedence. If is not set, the object identified by the property is used.

  The DataBind method is sealed on all ASP.NET data-bound controls derived from . Data-bound controls derived from the and classes should override the PerformDataBinding method instead of the method to bind data. If is overridden, the and events are raised out of order.

  Binds a data source to the invoked server control and all its child controls.

  2.0.0.0
- Event
  System.EventHandler

  This event notifies the server control that any data binding logic written for it has completed.

  For more information about handling events, see Consuming Events.

  Occurs after the server control binds to a data source.

  2.0.0.0
- Property
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.DefaultValue(null)
  System.Web.UI.Themeable(false)
  System.ComponentModel.Bindable(true)
  System.Object To be added.

  When you set the property, the method is called. In addition, if the data-bound control has already been initialized, the method is called to set the property to true.

  This property cannot be set by themes or style sheet themes. For more information, see and ASP.NET Themes Overview.

  Gets or sets the object from which the data-bound control retrieves its list of data items.

  2.0.0.0
- Property
  System.Web.UI.Themeable(false)
  System.ComponentModel.DefaultValue("")
  System.String To be added.

  If the data-bound control has already been initialized (the method is called or event is handled) when you set the property, the method is called, which sets the property to true.

  This property cannot be set by themes or style sheet themes. For more information, see and ASP.NET Themes Overview.

  Gets or sets the ID of the control from which the data-bound control retrieves its list of data items.

  2.0.0.0
- Method
  System.Void

  The method is called during the method, to call the method if the data-bound control is not yet bound.

  This is the same behavior pattern that the (from which classes such as are derived) and classes follow. The EnsureDataBound method might also be called during calls to CreateChildControls and LoadPostData methods.

  Calls the method if the property is set and the data-bound control is marked to require binding.

  2.0.0.0
- Property
  System.Boolean To be added.

  The and methods both explicitly set the property to true. The method is called by the method, while is called when the event is raised.

  Gets a value indicating whether the data-bound control has been initialized.

  2.0.0.0
- Property
  System.Boolean To be added.

  Controls such as , , , and use the property to determine whether the data-bound control is bound to an ASP.NET 2.0 data source control, such as an or .

  Gets a value indicating whether the property is set.

  2.0.0.0
- Method
  System.Void ``

  This method notifies a server control that any data binding logic associated with the control has completed.

  The method is sealed on all controls derived from . Data-bound controls should override PerformDataBinding instead of the method to bind data. If is overridden, the and events are raised out of order.

  Raising an event invokes the event handler through a delegate. For more information, see Raising an Event.

  The method also allows derived classes to handle the event without attaching a delegate. This is the preferred technique for handling the event in a derived class.

  Raises the event.

  An object that contains the event data. 2.0.0.0
- Method
  System.Void

  The method is called when the , , or DataMember property value changes any time after the page's event has occurred.

  Rebinds the data-bound control to its data after one of the base data source identification properties changes.

  2.0.0.0
- Method
  2.0.0.0
  System.Void ``

  The method first calls the base class method, and then calls the method to handle the event. Additionally, if the HTTP request to the page is a post back and view state is enabled, the method sets the property to true.

  Handles the event.

  An object that contains the event data.
- Method
  System.Void `` ``

  The event handler is used to control when data binding occurs within the life cycle of the page. It does this by setting the internal initialized state of the data-bound control. Because the control's initialized state is set during the phase of the page's lifecycle, the event handler is called any time a data property of the control is changed after that phase, to signal that the control must re-bind to its data before rendering.

  Sets the initialized state of the data-bound control before the control is loaded.

  The that raised the event. An object that contains the event data. 2.0.0.0
- Method
  2.0.0.0
  System.Void ``

  The class overrides the event handler to call before calling the base class method.

  Handles the event.

  An object that contains the event data.
- Method
  System.Void

  Derived types override this method to retrieve data from a data source.

  When overridden in a derived class, controls how data is retrieved and bound to the control.

  2.0.0.0
- Property
  System.Boolean To be added.

  If you set the property to true when the data-bound control has already begun to render its output to the page, the current HTTP request is not a callback, and you are using the property to identify the data source control to bind to, the method is called immediately. In this case, the property is not actually set to true.

  Gets or sets a value indicating whether the method should be called.

  2.0.0.0
- Method
  System.Void `` To be added.

  When overridden in a derived class, verifies that the object a data-bound control binds to is one it can work with.

  The object to verify. Typically an instance of , , , or . 2.0.0.0